Skip to main content
GET
/
v1
/
payments
List Payments
curl --request GET \
  --url https://api.spairehq.com/v1/payments/ \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "amount": 123,
      "currency": "<string>",
      "method": "<string>",
      "decline_reason": "insufficient_funds",
      "decline_message": "Your card has insufficient funds.",
      "organization_id": "<string>",
      "checkout_id": "e4b478fa-cd25-4253-9f1f-8a41e6370ede",
      "order_id": "e4b478fa-cd25-4253-9f1f-8a41e6370ede",
      "method_metadata": {
        "brand": "<string>",
        "last4": "<string>"
      },
      "processor_metadata": {}
    }
  ],
  "pagination": {
    "total_count": 123,
    "max_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Query Parameters

organization_id

Filter by organization ID. The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

checkout_id

Filter by checkout ID.

order_id

Filter by order ID.

status

Filter by payment status.

Available options:
pending,
succeeded,
failed
method

Filter by payment method.

customer_email

Filter by customer email.

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
created_at,
-created_at,
status,
-status,
amount,
-amount,
method,
-method

Response

Successful Response

items
(CardPayment · object | GenericPayment · object)[]
required

Schema of a payment with a card payment method.

pagination
Pagination · object
required